{% extends "index.html" %}

{% block style_sheets %}
<link type="text/css" rel="stylesheet" href="/static/css/client/units.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/radio.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/size_guide_sm.css">

{% endblock %}

{% block content %}

<br>
<div class="row newpod">
    <div class="col-md-5">
        <div id="order_div">
            <h4>Hire Pod</h4>
            <form id="pod_form" action="" method="post">
                <div class="form-group">
                    <label for="pod_size">POD size:</label>
                    <select onchange="getQuote()" required id="pod_sizes" name="pod_size" class="form-control">

                    </select>
                </div>

                <div class="form-group">
                    <label for="insurance_options">Insurance</label>
                    <select onchange="getQuote()"  required id="insurance_options" name="insurance_options" class="form-control">
                        <option  value="">Please select an option</option>
                        <option id="own_insurance">I have insurance</option>
                        <option id="needs_insurance">I want insurance</option>
                        <option id="no_insurance">I don't want insurance</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="comment">Describe what you are keeping in this unit (optional):</label>
                    <textarea class="form-control" rows="2" id="note-content"></textarea>
                    <label for="comment">I agree to the <a onclick='$("#sla_div").slideDown()'>Terms and conditions</a></label>
                    <input type="checkbox" 
                           name="terms-and-conditions" 
                           required 
                           data-validation-required-message="You must agree to the terms and conditions">
                    <div style="display: none;" id="sla_div">
                        <div style="height: 400px;" id="example1"></div>
                    </div>
                </div>

                 <div class="form-group">
                    <label>Contact number</label> 
                    <input id="cell_no"  required type="tel" class="form-control">
                </div>
                <div class="form-group">
                    <label>Do you want us to bring the container/pod to you?</label> At a cost of R {{delivery_cost}} if you are in Stellenbosch. If you are outside of Stellenbosch, please click on Order POD to get a delivery quote.
                    <select onchange="getQuote()" class="form-control" id="delivery_required" required>
                        <option  value="">Please select an option</option>
                        <option value="Yes">
                              {% if pending_deliveries|length > 0 %}
                                 I would like to deliver the POD with an existing delivery.
                            {% else %}
                                 Yes - I would like to schedule a delivery. R {{delivery_cost}} for Stellenbosch addresses (This price includes dropoff and pickup)
                            {% endif %}

                    </option>
                        <option value="No">No - I will pack the container at the facility (No charges will be incurred)</option>
                    </select>
                </div>

                <div style="display: none;" id="collection_section">

                    <div class="row">
                        <div class="col-md-6">
                            <label>Pack date</label>    <br>
                            <input  required id="pack_date"
                                   class="form-control"/>
                        </div>
                        <div class="col-md-6">
                            <label>Time</label>   <br> 
                            <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                <label class="btn active">
                                    <input value="MORNING" type="radio" name='pack_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                </label>
                                <label class="btn">
                                    <input value="AFTERNOON" type="radio" name='pack_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                </label>
                            </div>
                            <br>
                        </div>
                    </div>

                </div>

                <div style="display: none;" id="delivery_section">
                    <div class="">
                        <br>
                        <div class="form-group">

                            {% if pending_deliveries|length > 0 %}
                            <label>Existing deliveries</label>   <br>
                            {% endif %}

                            {% for d in pending_deliveries %}

                            <div class="radio">
                                <label><input value="{{d.id}}" checked type="radio" name="existing_delivery"> Add to existing delivery: {% if d.units %}
                                    POD
                                    {{d.units[0].unit_name}}
                                    {% elif d.orders %}
                                    Order #
                                    {{d.orders[0].key.id()}}
                                    {% endif %}
                                    on
                                    {{d.date}} </label>
                            </div>

                            {% endfor %}

                        </div>

                    </div>

                    {% if pending_deliveries|length == 0 %}

                    <label>Delivery address in the following format (NB): street number street name, city e.g. 1 Plank street, Stellenbosch</label>

                    <input class="form-control" id="delivery_address">

                    <div class="form-group">
                        <label for="comment">Delivery note, make it easier for the driver to find you:</label>
                        <textarea class="form-control" rows="2" id="delivery-note-content"></textarea>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label> Drop-off date </label>

                            <details id="">(Date we bring the pod to you, for packing) 
                                <p>This date may not be more than 30 days in the future</p></details>

                            <input class="delivery_field" required  id="dropoff_date"
                                   class="form-control"/>
                        </div>
                        <div class="col-md-6">
                            <label>Time</label>    <br>

                            <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                <label class="btn active">
                                    <input value="MORNING" type="radio" name='dropoff_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                </label>
                                <label class="btn">
                                    <input value="AFTERNOON" type="radio" name='dropoff_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                </label>
                            </div>
                            <br>

                        </div>
                    </div>

                    <div class="datetime">
                        <div class="row">
                            <div class="col-md-6">
                                <label> Pickup date </label> 
                                <details id="">(Date we collect the pod again and store it at our facility)
                                    <p>This date may not be more than 30 days in the future</p></details>

                                <input class="delivery_field" required id="pickup_date"
                                       class="form-control"/>
                            </div>

                            <div class="col-md-6">
                                <label>Time</label>   <br>

                                <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                    <label class="btn active">
                                        <input value="MORNING" type="radio" name='pickup_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                    </label>
                                    <label class="btn">
                                        <input value="AFTERNOON" type="radio" name='pickup_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                    </label>
                                </div>
                                <br>
                            </div>

                        </div>
                    </div>
                    {% endif %}

                </div>

                <p>
                    <label>Please select one of the following payment options</label>
                <p>
                    <label>Info: </label> Monthly recurring bills vs once off payment for a number of specified months
                </p>
                </p>  

            <div id="pay_monthly_div" >
                <p>
                    <label class="btn btn-primary active">
                        <input  type="radio" name="payment_options" id="pay_monthly" autocomplete="off" checked> Monthly
                    </label>
                </p>
            </div>

            <p class="text-center">
            <h4 class="text-center">OR</h4>

            </p>

        <div id="pay_once_div" >

            <p>
                <label class="btn btn-primary "  >
                    <input type="radio" name="payment_options" id="pay_once" autocomplete="off" > Pay once
                </label>
            <div id="end_date_div" class="form-group ">
                <label>
                    Please select the last month of your rent
                    <input required  type='text' class="form-control end_date" id='datetimepicker4'/>
                </label>


            </div>
            </p>
    </div>


<div class="row">
    <div class="">

        <div class="loader"></div>

    </div>

</div>


    <div id="price_div" class="form-group">
        <div id="price_today_div" >
            Price (R)

            <input class="price" readonly required id="price_today" type='text'  class="form-control"/>
            <details id="price_details"></details>
        </div>
        <br>
        <div id="price_monthly_div">
            Price following months (R):
            <input class="unit_id" readonly required type='text' id="price_monthly"
                   class="form-control"/>
        </div>
        <br>

        <div id="delivery_price_div">
            Delivery price (R):
            <input class="unit_id" readonly required type='text' id="delivery_price"
                   class="form-control"/>
        </div>
        <br>

        <input id="add-pod-btn" class="btn btn-large btn-info" type="submit" value="Order POD!">





  <!-- Modal -->
  <div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog modal-sm">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Delivery quote</h4>
        </div>
        <div class="modal-body">
            <h3>Destination information</h3>
            <p>Your delivery destination is <span id="distance"></span>KM from PODit in Stellenbosch</p>
           
            <h4>Delivery cost (R):</h4>
            <span id="delivery_price_quoted"></span>
            
            <h3>Delivery cost calculation</h3>
            <p>Our delivery price is calculated as follows:</p>
            <p>Base price of R<span id="base_price"></span> for the first <span id="minimum_distance"></span>KM or less plus R<span id="cost_per_km"></span> for every KM thereafter.</p>
         
        </div>
        <div class="modal-footer">
            <button id="acceptQuoteBtn" class="btn btn-success" type="button" >Confirm</button>
            <button type="button" class="btn btn-danger" id="rejectQuoteBtn" data-dismiss="modal">Reject</button>
        </div>
      </div>
    </div>
  </div>


    </div>
    </form>
</div>  <!-- End of order DIv -->

<br><br><br>
</div>

<div class="col-md-7">

    {% include "_size_guide_col.html" %}


</div>


</div>


{% endblock %}

{% block scripts %}


<script src="../static/js/pdfobject.js"></script>

<script>
    PDFObject.embed("https://storage.googleapis.com/podit-169717.appspot.com/agreements/3.0%20-%20GENERAL%20TERMS%20AND%20CONDITIONS%20STORAGE%20AGREEMENT%20(1).pdf", "#example1");

</script>
<script src="../static/js/client/add_units.js?v={{js_version}}"></script>

{% endblock %}

